Index: quintagroup.plonecaptchas/trunk/quintagroup/plonecaptchas/locales/sv/LC_MESSAGES/quintagroup.plonecaptchas.po
===================================================================
--- quintagroup.plonecaptchas/trunk/quintagroup/plonecaptchas/locales/sv/LC_MESSAGES/quintagroup.plonecaptchas.po	(revision 1868)
+++ quintagroup.plonecaptchas/trunk/quintagroup/plonecaptchas/locales/sv/LC_MESSAGES/quintagroup.plonecaptchas.po	(revision 1871)
@@ -3,5 +3,5 @@
 msgstr ""
 "Project-Id-Version: quintagroup.plonecaptchas 2.0\n"
-"POT-Creation-Date: 2010-03-09 18:23+0000\n"
+"POT-Creation-Date: 2009-03-25 14:47+0000\n"
 "PO-Revision-Date: 2007-01-12 15:38 +0100\n"
 "Last-Translator: Niklas Ekstrand <ne@zoone.se>\n"
@@ -17,79 +17,64 @@
 
 #. Default: "Amplitude"
-#: ./quintagroup.plonecaptchas/quintagroup/plonecaptchas/skins/plone_captchas/prefs_captchas_setup_form.cpt:156
+#: ./prefs_captchas_setup_form.pt:156
 msgid "Amplitude"
 msgstr ""
 
 #. Default: "Background"
-#: ./quintagroup.plonecaptchas/quintagroup/plonecaptchas/skins/plone_captchas/prefs_captchas_setup_form.cpt:93
+#: ./prefs_captchas_setup_form.pt:93
 msgid "Background"
 msgstr ""
 
 #. Default: "Font color"
-#: ./quintagroup.plonecaptchas/quintagroup/plonecaptchas/skins/plone_captchas/prefs_captchas_setup_form.cpt:114
+#: ./prefs_captchas_setup_form.pt:114
 msgid "Font color"
 msgstr ""
 
 #. Default: "Font size"
-#: ./quintagroup.plonecaptchas/quintagroup/plonecaptchas/skins/plone_captchas/prefs_captchas_setup_form.cpt:72
+#: ./prefs_captchas_setup_form.pt:72
 msgid "Font size"
 msgstr ""
 
 #. Default: "Period"
-#: ./quintagroup.plonecaptchas/quintagroup/plonecaptchas/skins/plone_captchas/prefs_captchas_setup_form.cpt:135
+#: ./prefs_captchas_setup_form.pt:135
 msgid "Period"
 msgstr ""
 
-#: ./quintagroup.plonecaptchas/quintagroup/plonecaptchas/browser/widget.py:30
+#: ./captcha_validator.vpy:26
 msgid "Please re-enter validation code."
 msgstr ""
 
-#. Default: "Plone captchas setup"
-#: ./quintagroup.plonecaptchas/quintagroup/plonecaptchas/profiles/default/controlpanel.xml
-msgid "Plone captchas setup"
-msgstr ""
-
 #. Default: "Random values"
-#: ./quintagroup.plonecaptchas/quintagroup/plonecaptchas/skins/plone_captchas/prefs_captchas_setup_form.cpt:178
+#: ./prefs_captchas_setup_form.pt:178
 msgid "Random values"
 msgstr ""
 
 #. Default: "Enter the word below"
-#: ./quintagroup.plonecaptchas/quintagroup/plonecaptchas/skins/plone_captchas/captcha_widget.pt:14
+#: ./captcha_widget.pt:11
 msgid "enter_word"
 msgstr "Skriv in ordet nedan"
 
 #. Default: "Plone Captchas Setup"
-#: ./quintagroup.plonecaptchas/quintagroup/plonecaptchas/skins/plone_captchas/prefs_captchas_setup_form.cpt:20
+#: ./prefs_captchas_setup_form.pt:18
 msgid "heading_comments_setup"
 msgstr ""
 
-#. Default: "Enter the word below for registration."
-#: ./quintagroup.plonecaptchas/quintagroup/plonecaptchas/skins/plone_captchas/captcha_widget.pt:18
-msgid "label_help_captchas"
-msgstr ""
-
 #. Default: "Dynamic captchas image setup options"
-#: ./quintagroup.plonecaptchas/quintagroup/plonecaptchas/skins/plone_captchas/prefs_captchas_setup_form.cpt:56
+#: ./prefs_captchas_setup_form.pt:56
 msgid "legend_dynamic_captchas_options"
 msgstr ""
 
 #. Default: "Plone Captchas setup options"
-#: ./quintagroup.plonecaptchas/quintagroup/plonecaptchas/skins/plone_captchas/prefs_captchas_setup_form.cpt:37
+#: ./prefs_captchas_setup_form.pt:35
 msgid "legend_setup_options"
 msgstr ""
 
-#. Default: "qPloneCaptchas"
-#: ./quintagroup.plonecaptchas/quintagroup/plonecaptchas/profiles/default/actionicons.xml
-msgid "qPloneCaptchas"
-msgstr ""
-
 #. Default: "Use dynamic captchas"
-#: ./quintagroup.plonecaptchas/quintagroup/plonecaptchas/skins/plone_captchas/prefs_captchas_setup_form.cpt:51
+#: ./prefs_captchas_setup_form.pt:51
 msgid "use_dynamic_captchas"
 msgstr ""
 
 #. Default: "Use static captchas"
-#: ./quintagroup.plonecaptchas/quintagroup/plonecaptchas/skins/plone_captchas/prefs_captchas_setup_form.cpt:44
+#: ./prefs_captchas_setup_form.pt:42
 msgid "use_static_captchas"
 msgstr ""