Index: /quintagroup.seoptimizer/branches/refactoring2.3.0/quintagroup/seoptimizer/tests/base.py
===================================================================
--- /quintagroup.seoptimizer/branches/refactoring2.3.0/quintagroup/seoptimizer/tests/base.py	(revision 1876)
+++ /quintagroup.seoptimizer/branches/refactoring2.3.0/quintagroup/seoptimizer/tests/base.py	(revision 1877)
@@ -14,9 +14,13 @@
 from Testing import ZopeTestCase as ztc
 
+from Products.CMFCore.utils import getToolByName
+
+from Products.PloneTestCase.layer import onsetup
 from Products.PloneTestCase import PloneTestCase as ptc
-from Products.PloneTestCase.layer import onsetup
+from Products.PloneTestCase.PloneTestCase import portal_owner
+from Products.PloneTestCase.PloneTestCase import default_user
+from Products.PloneTestCase.PloneTestCase import default_password
 
-from Products.CMFCore.utils import getToolByName
-from config import PROJECT_NAME
+from quintagroup.seoptimizer.config import *
 
 # When ZopeTestCase configures Zope, it will *not* auto-load products
Index: intagroup.seoptimizer/branches/refactoring2.3.0/quintagroup/seoptimizer/tests/config.py
===================================================================
--- /quintagroup.seoptimizer/branches/refactoring2.3.0/quintagroup/seoptimizer/tests/config.py	(revision 1876)
+++ 	(revision )
@@ -1,41 +1,0 @@
-from Products.CMFCore.permissions import ManagePortal
-
-from quintagroup.seoptimizer.config import *
-
-FIELDS = ['seo_title', 'seo_description', 'seo_keywords']
-
-PROPS = {'stop_words':STOP_WORDS, 'fields':FIELDS}
-
-CUSTOM_METATAGS = [{'meta_name'    : 'metatag1',
-                    'meta_content' : 'metatag1value'},
-                   {'meta_name'    : 'metatag2',
-                    'meta_content' : 'metatag2value'},
-                   {'meta_name'    : 'metatag3',
-                    'meta_content' : ''}
-                  ]
-DEFAULT_METATAGS_ORDER = ['DC.contributors', 'DC.creator', 'DC.date.created',
-                          'DC.date.modified','DC.description', 'DC.distribution',
-                          'DC.format', 'DC.language', 'DC.publisher', 'DC.rights',
-                          'DC.subject', 'DC.type', 'description', 'distribution',
-                          'keywords', 'robots']
-DEFAULT_METATAGS_ORDER.sort()
-VIEW_METATAGS = ['DC.creator', 'DC.format', 'DC.date.modified', 'DC.date.created', 'DC.type',
-                   'DC.distribution', 'description', 'keywords', 'robots', 'distribution']
-GLOBAL_CUSTOM_METATAGS = {'default_custom_metatags':'metatag1|global_metatag1value\nmetatag4|global_metatag4value'}
-
-CONFIGLETS = ({'id':'qSEOptimizer',
-    'name':'Search Engine Optimizer',
-    'action':'string:${portal_url}/seo-controlpanel',
-    'condition':'',
-    'category':'Products',
-    'visible':1,
-    'appId':'qSEOptimizer',
-    'permission':ManagePortal},)
-
-qSEO_CONTENT = ['File','Document','News Item']
-qSEO_FOLDER  = []
-qSEO_TYPES   = qSEO_CONTENT + qSEO_FOLDER
-
-SEO_CONTENT = ['File', 'Document', 'News Item']
-CONTENTTYPES_WITH_SEOACTION = ['File', 'Document', 'News Item', 'Folder', 'Event']
-CONTENTTYPES_WITH_SEOACTION.sort()
Index: /quintagroup.seoptimizer/branches/refactoring2.3.0/quintagroup/seoptimizer/tests/testBugs.py
===================================================================
--- /quintagroup.seoptimizer/branches/refactoring2.3.0/quintagroup/seoptimizer/tests/testBugs.py	(revision 1876)
+++ /quintagroup.seoptimizer/branches/refactoring2.3.0/quintagroup/seoptimizer/tests/testBugs.py	(revision 1877)
@@ -1,6 +1,5 @@
 import urllib, re
 from cStringIO import StringIO
-from base import getToolByName, FunctionalTestCase, newSecurityManager
-from config import *
+from base import *
 
 class TestBugs(FunctionalTestCase):
Index: /quintagroup.seoptimizer/branches/refactoring2.3.0/quintagroup/seoptimizer/tests/testCanonicalURL.py
===================================================================
--- /quintagroup.seoptimizer/branches/refactoring2.3.0/quintagroup/seoptimizer/tests/testCanonicalURL.py	(revision 1876)
+++ /quintagroup.seoptimizer/branches/refactoring2.3.0/quintagroup/seoptimizer/tests/testCanonicalURL.py	(revision 1877)
@@ -9,6 +9,5 @@
 from quintagroup.canonicalpath.interfaces import ICanonicalPath
 from quintagroup.seoptimizer.interfaces import ISEOCanonicalPath
-from base import getToolByName, FunctionalTestCase, newSecurityManager
-from config import *
+from base import *
 
 class TestCanonicalURL(FunctionalTestCase):
Index: /quintagroup.seoptimizer/branches/refactoring2.3.0/quintagroup/seoptimizer/tests/testExposeDCMetaTags.py
===================================================================
--- /quintagroup.seoptimizer/branches/refactoring2.3.0/quintagroup/seoptimizer/tests/testExposeDCMetaTags.py	(revision 1876)
+++ /quintagroup.seoptimizer/branches/refactoring2.3.0/quintagroup/seoptimizer/tests/testExposeDCMetaTags.py	(revision 1877)
@@ -1,6 +1,5 @@
 import re, string
 from DateTime import DateTime
-from base import getToolByName, FunctionalTestCase, newSecurityManager
-from config import *
+from base import *
 
 METATAG = '.*(<meta\s+(?:(?:name="%s"\s*)|(?:content="(?P<tagcontent>.*?)"\s*)){2}/>)'
Index: /quintagroup.seoptimizer/branches/refactoring2.3.0/quintagroup/seoptimizer/tests/testInstallation.py
===================================================================
--- /quintagroup.seoptimizer/branches/refactoring2.3.0/quintagroup/seoptimizer/tests/testInstallation.py	(revision 1876)
+++ /quintagroup.seoptimizer/branches/refactoring2.3.0/quintagroup/seoptimizer/tests/testInstallation.py	(revision 1877)
@@ -10,6 +10,20 @@
 from quintagroup.seoptimizer.browser.interfaces import IPloneSEOLayer
 
-from base import getToolByName, FunctionalTestCase, TestCase, newSecurityManager
-from config import *
+from base import *
+
+PROPS = {'stop_words': STOP_WORDS,
+         'fields': ['seo_title', 'seo_description', 'seo_keywords']}
+
+DEFAULT_METATAGS_ORDER = [
+    'DC.contributors', 'DC.creator', 'DC.date.created',
+    'DC.date.modified','DC.description', 'DC.distribution',
+    'DC.format', 'DC.language', 'DC.publisher', 'DC.rights',
+    'DC.subject', 'DC.type', 'description', 'distribution',
+    'keywords', 'robots']
+DEFAULT_METATAGS_ORDER.sort()
+
+SEO_CONTENT = ['File', 'Document', 'News Item']
+CONTENTTYPES_WITH_SEOACTION = ['File', 'Document', 'News Item', 'Folder', 'Event']
+CONTENTTYPES_WITH_SEOACTION.sort()
 
 
Index: /quintagroup.seoptimizer/branches/refactoring2.3.0/quintagroup/seoptimizer/tests/testMetaTagsDuplication.py
===================================================================
--- /quintagroup.seoptimizer/branches/refactoring2.3.0/quintagroup/seoptimizer/tests/testMetaTagsDuplication.py	(revision 1876)
+++ /quintagroup.seoptimizer/branches/refactoring2.3.0/quintagroup/seoptimizer/tests/testMetaTagsDuplication.py	(revision 1877)
@@ -1,5 +1,4 @@
 import re
-from base import getToolByName, FunctionalTestCase, newSecurityManager
-from config import *
+from base import *
 
 class TestMetaTagsDuplication(FunctionalTestCase):
Index: /quintagroup.seoptimizer/branches/refactoring2.3.0/quintagroup/seoptimizer/tests/testResponse.py
===================================================================
--- /quintagroup.seoptimizer/branches/refactoring2.3.0/quintagroup/seoptimizer/tests/testResponse.py	(revision 1876)
+++ /quintagroup.seoptimizer/branches/refactoring2.3.0/quintagroup/seoptimizer/tests/testResponse.py	(revision 1877)
@@ -1,6 +1,20 @@
 import urllib, re
 from cStringIO import StringIO
-from base import getToolByName, FunctionalTestCase, newSecurityManager
-from config import *
+from base import *
+
+CUSTOM_METATAGS = [{'meta_name'    : 'metatag1',
+                    'meta_content' : 'metatag1value'},
+                   {'meta_name'    : 'metatag2',
+                    'meta_content' : 'metatag2value'},
+                   {'meta_name'    : 'metatag3',
+                    'meta_content' : ''}
+                  ]
+
+VIEW_METATAGS = ['DC.creator', 'DC.format', 'DC.date.modified',
+    'DC.date.created', 'DC.type', 'DC.distribution', 'description',
+    'keywords', 'robots', 'distribution']
+
+GLOBAL_CUSTOM_METATAGS = {
+    'default_custom_metatags':'metatag1|global_metatag1value\nmetatag4|global_metatag4value'}
 
 class TestResponse(FunctionalTestCase):
Index: /quintagroup.seoptimizer/branches/refactoring2.3.0/quintagroup/seoptimizer/tests/testUsageKeywords.py
===================================================================
--- /quintagroup.seoptimizer/branches/refactoring2.3.0/quintagroup/seoptimizer/tests/testUsageKeywords.py	(revision 1876)
+++ /quintagroup.seoptimizer/branches/refactoring2.3.0/quintagroup/seoptimizer/tests/testUsageKeywords.py	(revision 1877)
@@ -1,6 +1,5 @@
 import urllib, re
 from Acquisition import aq_inner
-from base import getToolByName, FunctionalTestCase, newSecurityManager
-from config import *
+from base import *
 
 KWSTMPL = '.*(<meta\s+(?:(?:name="keywords"\s*)|(?:content="%s"\s*)){2}/>)'