Index: quintagroup.seoptimizer/branches/refactoring2.3.0/quintagroup/seoptimizer/tests/browser.txt
===================================================================
--- quintagroup.seoptimizer/branches/refactoring2.3.0/quintagroup/seoptimizer/tests/browser.txt	(revision 1894)
+++ quintagroup.seoptimizer/branches/refactoring2.3.0/quintagroup/seoptimizer/tests/browser.txt	(revision 1895)
@@ -53,29 +53,31 @@
 ===============================
 
-    >>> self.qi = self.portal.portal_quickinstaller
-    >>> self.sp = self.portal.portal_properties.seo_properties
-    >>> self.object_tabs = self.portal.portal_actions.object
-    >>> self.ps = self.portal.portal_setup
+Define some general objects:
 
-First uninstall product, if it is already installed:
+    >>> qi = self.portal.portal_quickinstaller
+    >>> object_tabs = self.portal.portal_actions.object
+    >>> ps = self.portal.portal_setup
 
-    >>> from quintagroup.seoptimizer.config import PROJECT_NAME
-    >>> if self.qi.isProductInstalled(PROJECT_NAME):
-    ...     self.qi.uninstallProducts([PROJECT_NAME,])
-
-
-Test installation 'SEO Properties' action
+Test is 'SEO Properties' action present for a Page before
+seoptimizer installed
 
     >>> browser.open('http://nohost/plone/front-page')
     >>> "SEO Properties" in browser.contents
     False
-    >>> self.qi.installProduct(PROJECT_NAME)
+
+Now install the product for following testing, and add
+
+    >>> qi.installProduct(PROJECT_NAME)
     'Ran all install steps.'
-    >>> self.portal.portal_actions.object.get('SEOProperties', None) is not None
+    >>> sp = self.portal.portal_properties.seo_properties
+
+And check is SEOProperties added to object tabs
+ 
+   >>> object_tabs.get('SEOProperties', None) is not None
     True
 
 Test visibility 'SEO Properties' action after installation
 
-    >>> self.sp.content_types_with_seoproperties = ('Document',)
+    >>> sp.content_types_with_seoproperties = ('Document',)
     >>> browser.open('http://nohost/plone/front-page')
     >>> "SEO Properties" in browser.contents
@@ -86,5 +88,5 @@
 Test invisibility 'SEO Properties' action after installation
 
-    >>> self.sp.content_types_with_seoproperties = ('File',)
+    >>> sp.content_types_with_seoproperties = ('File',)
     >>> browser.open('http://nohost/plone/front-page')
     >>> "SEO Properties" in browser.contents
@@ -97,6 +99,6 @@
     >>> "SEO Properties" in browser.contents
     False
-    >>> self.ps.setLastVersionForProfile('quintagroup.seoptimizer:default', '2.0.0')
-    >>> self.qi.reinstallProducts((PROJECT_NAME,))
+    >>> ps.setLastVersionForProfile('quintagroup.seoptimizer:default', '2.0.0')
+    >>> qi.reinstallProducts((PROJECT_NAME,))
     >>> self.portal.portal_actions.object.get('SEOProperties', None) is not None
     True
@@ -104,5 +106,5 @@
 Test visibility 'SEO Properties' action after reinstallation
 
-    >>> self.sp.content_types_with_seoproperties = ('Document',)
+    >>> sp.content_types_with_seoproperties = ('Document',)
     >>> browser.open('http://nohost/plone/front-page')
     >>> "SEO Properties" in browser.contents
@@ -113,5 +115,5 @@
 Test invisibility 'SEO Properties' action after reinstallation
 
-    >>> self.sp.content_types_with_seoproperties = ('File',)
+    >>> sp.content_types_with_seoproperties = ('File',)
     >>> browser.open('http://nohost/plone/front-page')
     >>> "SEO Properties" in browser.contents
@@ -120,15 +122,15 @@
 Test uninstallation 'SEO Properties' action
 
-    >>> self.sp.content_types_with_seoproperties = ('Document',)
+    >>> sp.content_types_with_seoproperties = ('Document',)
     >>> browser.open('http://nohost/plone/front-page')
     >>> "SEO Properties" in browser.contents
     True
-    >>> self.qi.uninstallProducts((PROJECT_NAME,))
-    >>> self.portal.portal_actions.object.get('SEOProperties', None) is not None
+    >>> qi.uninstallProducts((PROJECT_NAME,))
+    >>> object_tabs.get('SEOProperties', None) is not None
     False
 
 Test visibility 'SEO Properties' action after uninstallation
 
-    >>> self.sp.content_types_with_seoproperties = ('Document',)
+    >>> sp.content_types_with_seoproperties = ('Document',)
     >>> browser.open('http://nohost/plone/front-page')
     >>> "SEO Properties" in browser.contents
Index: quintagroup.seoptimizer/branches/refactoring2.3.0/quintagroup/seoptimizer/tests/test_doctest.py
===================================================================
--- quintagroup.seoptimizer/branches/refactoring2.3.0/quintagroup/seoptimizer/tests/test_doctest.py	(revision 1894)
+++ quintagroup.seoptimizer/branches/refactoring2.3.0/quintagroup/seoptimizer/tests/test_doctest.py	(revision 1895)
@@ -5,7 +5,5 @@
 from zope.component import testing, eventtesting
 
-from Testing import ZopeTestCase as ztc
-
-from quintagroup.seoptimizer.tests import base
+from base import *
 
 def test_suite():
@@ -15,5 +13,5 @@
         ztc.FunctionalDocFileSuite(
             'browser.txt', package='quintagroup.seoptimizer.tests',
-            test_class=base.FunctionalTestCase,
+            test_class=FunctionalTestCaseNotInstalled, globs=globals(),
             optionflags=doctest.REPORT_ONLY_FIRST_FAILURE |
                 doctest.NORMALIZE_WHITESPACE | doctest.ELLIPSIS),