Index: /quintagroup.seoptimizer/branches/refactoring2.3.0/quintagroup/seoptimizer/tests/testInstallation.py
===================================================================
--- /quintagroup.seoptimizer/branches/refactoring2.3.0/quintagroup/seoptimizer/tests/testInstallation.py	(revision 1896)
+++ /quintagroup.seoptimizer/branches/refactoring2.3.0/quintagroup/seoptimizer/tests/testInstallation.py	(revision 1897)
@@ -7,5 +7,5 @@
 from zope.publisher.browser import TestRequest
 from zope.viewlet.interfaces import IViewletManager
-from plone.browserlayer import utils
+
 from quintagroup.seoptimizer.browser.interfaces import IPloneSEOLayer
 
@@ -28,9 +28,9 @@
 
 
-class TestBeforeInstallation(FunctionalTestCase):
-
-    def afterSetUp(self):
-        self.qi = self.portal.portal_quickinstaller
-        self.qi.uninstallProducts([PROJECT_NAME])
+class TestBeforeInstallation(FunctionalTestCaseNotInstalled):
+
+    def afterSetUp(self):
+        #self.qi = self.portal.portal_quickinstaller
+        #self.qi.uninstallProducts([PROJECT_NAME])
         self.basic_auth = 'mgr:mgrpw'
         self.portal_path = '/%s' % self.portal.absolute_url(1)
@@ -87,4 +87,5 @@
         
     def test_browser_layer(self):
+        from plone.browserlayer import utils
         self.assert_(IPloneSEOLayer in utils.registered_layers(),
                      "Not registered 'IPloneSEOLayer' browser layer")
@@ -143,6 +144,7 @@
 
     def test_browserlayer_uninstall(self):
+        from plone.browserlayer import utils
         self.assertEqual(IPloneSEOLayer in utils.registered_layers(), False,
-            "Not registered 'IPloneSEOLayer' browser layer")
+            "Still registered 'IPloneSEOLayer' browser layer")
 
     def test_jsregestry_uninstall(self):
Index: /quintagroup.seoptimizer/branches/refactoring2.3.0/quintagroup/seoptimizer/tests/testMetaTagsDuplication.py
===================================================================
--- /quintagroup.seoptimizer/branches/refactoring2.3.0/quintagroup/seoptimizer/tests/testMetaTagsDuplication.py	(revision 1896)
+++ /quintagroup.seoptimizer/branches/refactoring2.3.0/quintagroup/seoptimizer/tests/testMetaTagsDuplication.py	(revision 1897)
@@ -7,8 +7,7 @@
                          '(?:content=".*?"\s*)){2}/>)', re.S|re.M)
 
-class TestMetaTagsDuplication(FunctionalTestCase):
+class InstallMixin:
 
-    def afterSetUp(self):
-        self.qi = self.portal.portal_quickinstaller
+    def prepare(self):
         # Preparation for functional testing
         self.loginAsPortalOwner()
@@ -22,4 +21,10 @@
         self.html = self.publish(self.abs_path).getBody()
 
+
+class TestTagsDuplicationInstalled(InstallMixin, FunctionalTestCase):
+
+    def afterSetUp(self):
+        self.prepare()
+
     def test_GeneratorMetaSEOInstalled(self):
         lengen = len(GENERATOR.findall(self.html))
@@ -27,10 +32,4 @@
            "when seoptimizer installed" % lengen)
  
-    def test_GeneratorMetaSEOUninstalled(self):
-        self.qi.uninstallProducts([PROJECT_NAME,])
-        lengen = len(GENERATOR.findall(self.html))
-        self.assert_(lengen<=1, "There is %d generator meta tag(s) " \
-            "when seoptimizer uninstalled" % lengen)
-
     def test_DescriptionMetaSEOInstalled(self):
         lendesc = len(DESCRIPTION.findall(self.html))
@@ -38,6 +37,17 @@
            "when seoptimizer installed" % lendesc)
 
+
+class TestTagsDuplicationNotInstalled(InstallMixin,
+                                      FunctionalTestCaseNotInstalled):
+
+    def afterSetUp(self):
+        self.prepare()
+
+    def test_GeneratorMetaSEOUninstalled(self):
+        lengen = len(GENERATOR.findall(self.html))
+        self.assert_(lengen<=1, "There is %d generator meta tag(s) " \
+            "when seoptimizer uninstalled" % lengen)
+
     def test_DescriptionMetaSEOUninstalled(self):
-        self.qi.uninstallProducts([PROJECT_NAME,])
         lendesc = len(DESCRIPTION.findall(self.html))
         self.assert_(lendesc==1, "There is %d DESCRIPTION meta tag(s) " \
@@ -48,4 +58,5 @@
     from unittest import TestSuite, makeSuite
     suite = TestSuite()
-    suite.addTest(makeSuite(TestMetaTagsDuplication))
+    suite.addTest(makeSuite(TestTagsDuplicationInstalled))
+    suite.addTest(makeSuite(TestTagsDuplicationNotInstalled))
     return suite