Index: intagroup.plonecaptchas/branches/split2packs/quintagroup/plonecaptchas/CaptchaTool.py
===================================================================
--- /quintagroup.plonecaptchas/branches/split2packs/quintagroup/plonecaptchas/CaptchaTool.py	(revision 1949)
+++ 	(revision )
@@ -1,20 +1,0 @@
-from Products.Transience.Transience import TransientObjectContainer
-from Globals import InitializeClass
-from AccessControl import ClassSecurityInfo
-
-class CaptchaTool(TransientObjectContainer):
-    """portal_captcha tool class
-    """
-    meta_type = 'CaptchaTool'
-    security = ClassSecurityInfo()
-    security.declarePublic('addExpiredKey')
-
-    def __init__(self, id='portal_captchas', title='', timeout_mins=60, addNotification=None,
-                 delNotification=None, limit=0, period_secs=60):
-        TransientObjectContainer.__init__(self, id, title, timeout_mins, addNotification,
-                                          delNotification, limit, period_secs)
-
-    def addExpiredKey(self, key):
-        self.new(key)
-
-InitializeClass(CaptchaTool)
Index: intagroup.plonecaptchas/branches/split2packs/quintagroup/plonecaptchas/Crypto.py
===================================================================
--- /quintagroup.plonecaptchas/branches/split2packs/quintagroup/plonecaptchas/Crypto.py	(revision 1949)
+++ 	(revision )
@@ -1,23 +1,0 @@
-# xor implementation with PyCrypto interface
-
-def new(key):
-    return Xor(key)
-
-class Xor:
-    def __init__(self, key):
-        self.__key = key
-
-    def __xor(self, s):
-        res = ''
-        for i in range(len(s)):
-            res += chr(ord(s[i]) ^ ord(self.__key[i]))
-        return res
-
-    def __normkey(self, s):
-        self.__key = self.__key * (len(s) / len(self.__key))
-
-    def encrypt(self, s):
-        self.__normkey(s)
-        return self.__xor(s)
-
-    decrypt = encrypt
Index: /quintagroup.plonecaptchas/branches/split2packs/quintagroup/plonecaptchas/__init__.py
===================================================================
--- /quintagroup.plonecaptchas/branches/split2packs/quintagroup/plonecaptchas/__init__.py	(revision 1949)
+++ /quintagroup.plonecaptchas/branches/split2packs/quintagroup/plonecaptchas/__init__.py	(revision 1950)
@@ -2,17 +2,12 @@
 
 from AccessControl import allow_module, ModuleSecurityInfo
-from Products.CMFCore.utils import ToolInit
 
 from quintagroup.plonecaptchas import config
-from quintagroup.plonecaptchas import CaptchaTool
 
 ProductMessageFactory = MessageFactory('quintagroup.plonecaptchas')
 ModuleSecurityInfo('quintagroup.plonecaptchas').declarePublic("ProductMessageFactory")
 
-allow_module('quintagroup.plonecaptchas.utils')
 allow_module('quintagroup.plonecaptchas.config')
 
 def initialize(context):
-    ToolInit(meta_type="CaptchaTool",
-             tools=(CaptchaTool.CaptchaTool, ),
-             icon=config.TOOL_ICON,).initialize(context)
+    pass
Index: intagroup.plonecaptchas/branches/split2packs/quintagroup/plonecaptchas/encrypt_images.py
===================================================================
--- /quintagroup.plonecaptchas/branches/split2packs/quintagroup/plonecaptchas/encrypt_images.py	(revision 1949)
+++ 	(revision )
@@ -1,21 +1,0 @@
-import md5
-import os
-
-def encrypt_md5(s):
-    return md5.new(s).hexdigest().upper()
-
-os.chdir('skins/captchas')
-files = os.listdir('.')
-index = 1
-
-for file in files:
-    fname = file[:-5]
-    hash = md5.new(fname).hexdigest().upper()
-    new_fname = str(index)+'.jpg'
-    metaname = new_fname + '.metadata'
-    meta = open(metaname,'w')
-    meta.write('[default]\n')
-    meta.write('title='+hash)
-    meta.close()
-    os.rename(file, new_fname)
-    index += 1
Index: intagroup.plonecaptchas/branches/split2packs/quintagroup/plonecaptchas/utils.py
===================================================================
--- /quintagroup.plonecaptchas/branches/split2packs/quintagroup/plonecaptchas/utils.py	(revision 1949)
+++ 	(revision )
@@ -1,166 +1,0 @@
-import os
-import re
-import math
-import md5
-from string import atoi
-from random import randint
-
-from DateTime import DateTime
-
-from quintagroup.plonecaptchas.data import basic_english
-from quintagroup.plonecaptchas.config import *
-
-try:
-    import Crypto.Cipher.DES as Crypto
-except:
-    import Crypto
-
-def encrypt1(s):
-    return md5.new(s).hexdigest().upper()
-
-def getTransform(x, y, a, p, o):
-    return (math.sin( (y+o[0])*p )*a + x, math.sin( (x+o[1])*p )*a + y)
-
-def gen_captcha(**kwargs):
-    """Generate a captcha image"""
-    import ImageFile
-    import Image
-    import ImageFont
-    import ImageDraw
-    import ImageFilter
-    import random
-    from PIL import ImageFile as pyImageFile
-    import sys
-    sys.modules['ImageFile'] = pyImageFile
-    from cStringIO import StringIO
-
-    text = kwargs.get('text', None)
-    fnt_sz = kwargs.get('size', DEFAULT_IMAGE_SIZE)
-    bkground = kwargs.get('bkground', DEFAULT_BG)
-    font_color = kwargs.get('font_color', DEFAULT_FONT_COLOR)
-    distortion = kwargs.get('distortion', DEFAULT_DISTORTION)
-
-    period = distortion[0]
-    amplitude = distortion[1]
-    offset = distortion[2]
-
-    outFile = StringIO()
-
-    DATA_PATH = os.path.abspath(os.path.dirname(__file__)) + '/data'
-    FONT_PATH = DATA_PATH + '/fonts'
-
-    #select font for captcha text
-    ALL_FONTS=('Bd', 'It', 'MoBI', 'Mono', 'Se', 'BI', 'MoBd', 'MoIt', 'SeBd', '')
-    rand_font = random.choice(ALL_FONTS)
-    font = ImageFont.truetype(FONT_PATH+'/vera/Vera%s.ttf'%rand_font, fnt_sz)
-    textSize = font.getsize(text)
-
-#------------------------------render   background1 -----------------------
-    image = Image.new('RGB', (textSize[0]+7,textSize[1]+7), bkground)
-    image.paste(bkground)
-#------------------------------render       Text2 ------------------------
-    draw = ImageDraw.Draw(image)
-    alignment = (random.uniform(0,1), random.uniform(0,1))
-    x = int((image.size[0] - textSize[0]) * alignment[0] + 0.5)
-    y = int((image.size[1] - textSize[1]) * alignment[1] + 0.5)
-
-    draw.text((x,y), text, font=font, fill=font_color)
-
-#------------------------------render       Distortion -----------------------
-    r = 1
-    xPoints = image.size[0] / r + 2
-    yPoints = image.size[1] / r + 2
-
-    # Create a list of arrays with transformed points
-    xRows = []
-    yRows = []
-    for j in xrange(yPoints):
-        xRow = []
-        yRow = []
-        for i in xrange(xPoints):
-            x, y = getTransform(i*r, j*r, amplitude, period, offset)
-
-            # Clamp the edges so we don't get black undefined areas
-            x = max(0, min(image.size[0]-1, x))
-            y = max(0, min(image.size[1]-1, y))
-
-            xRow.append(x)
-            yRow.append(y)
-        xRows.append(xRow)
-        yRows.append(yRow)
-
-    # Create the mesh list, with a transformation for
-    # each square between points on the grid
-    mesh = []
-    for j in xrange(yPoints-1):
-        for i in xrange(xPoints-1):
-            mesh.append((
-                # Destination rectangle
-                (i*r, j*r,
-                 (i+1)*r, (j+1)*r),
-                # Source quadrilateral
-                (xRows[j  ][i  ], yRows[j  ][i  ],
-                 xRows[j+1][i  ], yRows[j+1][i  ],
-                 xRows[j+1][i+1], yRows[j+1][i+1],
-                 xRows[j  ][i+1], yRows[j  ][i+1]),
-                ))
-
-    img = image.transform(image.size, Image.MESH, mesh, Image.BILINEAR)
-
-    # save the image to a file
-    img.save(outFile, format='jpeg')
-    outFile.seek(0)
-    src = outFile.read()
-    size = len(src)
-    sys.modules['ImageFile'] = ImageFile
-    return {'src':src, 'size':size}
-
-
-def getWord(index):
-    words = basic_english.words.split()
-    return words[index]
-
-def getIndex(word):
-    words = basic_english.words.split()
-    try:
-        res = words.index(word)
-    except ValueError:
-        res = getLen()+1
-    return res
-
-def getCaptchasCount(dynamic):
-    if dynamic:
-        return len(basic_english.words.split())
-    else:
-        return CAPTCHAS_COUNT
-
-def formKey(num):
-    def normalize(s):
-        return (not len(s)%8 and s) or normalize(s+str(randint(0, 9)))
-
-    return normalize('%s_%i_'%(str(DateTime().timeTime()), num))
-
-def encrypt(key, s):
-    return toHex(Crypto.new(key).encrypt(s))
-
-def decrypt(key, s):
-    return Crypto.new(key).decrypt(toStr(s))
-
-def parseKey(s):
-    ps = re.match('^(.+?)_(.+?)_', s)
-    if ps is None:
-        return {'date': '', 'key': ''}
-    return {'date': ps.group(1), 'key':ps.group(2)}
-
-def toHex(s):
-    lst = []
-    for ch in s:
-        hv = hex(ord(ch)).replace('0x', '')
-        if len(hv) == 1:
-            hv = '0'+hv
-        lst.append(hv)
-
-    return reduce(lambda x,y:x+y, lst)
-
-def toStr(s):
-    return s and chr(atoi(s[:2], base=16)) + toStr(s[2:]) or ''