Index: /quintagroup.captcha.core/trunk/quintagroup/captcha/core/__init__.py
===================================================================
--- /quintagroup.captcha.core/trunk/quintagroup/captcha/core/__init__.py	(revision 1952)
+++ /quintagroup.captcha.core/trunk/quintagroup/captcha/core/__init__.py	(revision 1953)
@@ -4,12 +4,12 @@
 from Products.CMFCore.utils import ToolInit
 
-from quintagroup.plonecaptchas import config
-from quintagroup.plonecaptchas import CaptchaTool
+from quintagroup.captcha.core import config
+from quintagroup.captcha.core import CaptchaTool
 
-ProductMessageFactory = MessageFactory('quintagroup.plonecaptchas')
-ModuleSecurityInfo('quintagroup.plonecaptchas').declarePublic("ProductMessageFactory")
+ProductMessageFactory = MessageFactory('quintagroup.captcha.core')
+ModuleSecurityInfo('quintagroup.captcha.core').declarePublic("ProductMessageFactory")
 
-allow_module('quintagroup.plonecaptchas.utils')
-allow_module('quintagroup.plonecaptchas.config')
+allow_module('quintagroup.captcha.core.utils')
+allow_module('quintagroup.captcha.core.config')
 
 def initialize(context):
Index: /quintagroup.captcha.core/trunk/quintagroup/captcha/core/configure.zcml
===================================================================
--- /quintagroup.captcha.core/trunk/quintagroup/captcha/core/configure.zcml	(revision 1952)
+++ /quintagroup.captcha.core/trunk/quintagroup/captcha/core/configure.zcml	(revision 1953)
@@ -5,5 +5,5 @@
     xmlns:cmf="http://namespaces.zope.org/cmf"
     xmlns:gs="http://namespaces.zope.org/genericsetup"
-    i18n_domain="quintagroup.plonecaptchas">
+    i18n_domain="quintagroup.captcha.core">
 
     <include package=".browser" />
Index: /quintagroup.captcha.core/trunk/quintagroup/captcha/core/profiles/default/actionicons.xml
===================================================================
--- /quintagroup.captcha.core/trunk/quintagroup/captcha/core/profiles/default/actionicons.xml	(revision 1952)
+++ /quintagroup.captcha.core/trunk/quintagroup/captcha/core/profiles/default/actionicons.xml	(revision 1953)
@@ -1,8 +1,8 @@
 <?xml version="1.0"?>
 <action-icons  xmlns:i18n="http://xml.zope.org/namespaces/i18n"
-    i18n:domain="quintagroup.plonecaptchas">
+    i18n:domain="quintagroup.captcha.core">
  <action-icon category="controlpanel"
               action_id="qpc_tool"
-              title="qPloneCaptchas" priority="0"
+              title="Quintagroup Captcha" priority="0"
               icon_expr="./tool.gif" i18n:attributes="title" />
 </action-icons>
Index: /quintagroup.captcha.core/trunk/quintagroup/captcha/core/profiles/default/controlpanel.xml
===================================================================
--- /quintagroup.captcha.core/trunk/quintagroup/captcha/core/profiles/default/controlpanel.xml	(revision 1952)
+++ /quintagroup.captcha.core/trunk/quintagroup/captcha/core/profiles/default/controlpanel.xml	(revision 1953)
@@ -3,8 +3,8 @@
         meta_type="Plone Control Panel Tool"
         xmlns:i18n="http://xml.zope.org/namespaces/i18n"
-        i18n:domain="quintagroup.plonecaptchas">
+        i18n:domain="quintagroup.captcha.core">
   <configlet title="Plone captchas setup"
              action_id="qpc_tool"
-             appId="quintagroup.plonecaptchas"
+             appId="quintagroup.captcha.core"
              category="Products"
              condition_expr=""
Index: /quintagroup.captcha.core/trunk/quintagroup/captcha/core/profiles/default/import_steps.xml
===================================================================
--- /quintagroup.captcha.core/trunk/quintagroup/captcha/core/profiles/default/import_steps.xml	(revision 1952)
+++ /quintagroup.captcha.core/trunk/quintagroup/captcha/core/profiles/default/import_steps.xml	(revision 1953)
@@ -1,8 +1,8 @@
 <?xml version="1.0"?>
 <import-steps>
-  <import-step id="quintagroup.plonecaptchas-various"
+  <import-step id="quintagroup.captcha.core-various"
                version="20090403-01"
-               handler="quintagroup.plonecaptchas.setuphandlers.setupVarious"
-               title="quintagroup.plonecaptchas: various import steps">
+               handler="quintagroup.captcha.core.setuphandlers.setupVarious"
+               title="quintagroup.captcha.core: various import steps">
     Various import steps that are not handled by GS import/export
     handlers.
Index: /quintagroup.captcha.core/trunk/quintagroup/captcha/core/profiles/default/propertiestool.xml
===================================================================
--- /quintagroup.captcha.core/trunk/quintagroup/captcha/core/profiles/default/propertiestool.xml	(revision 1952)
+++ /quintagroup.captcha.core/trunk/quintagroup/captcha/core/profiles/default/propertiestool.xml	(revision 1953)
@@ -2,5 +2,5 @@
 <object name="portal_properties" meta_type="Plone Properties Tool">
  <object name="qPloneCaptchas" meta_type="Plone Property Sheet">
-  <property name="title">qPloneCaptchas Properties</property>
+  <property name="title">Quintagroup Captcha Properties</property>
   <property name="image_size" type="int">27</property>
   <property name="background" type="string">gray</property>
Index: /quintagroup.captcha.core/trunk/quintagroup/captcha/core/profiles/default/quintagroup.captcha.core_various.txt
===================================================================
--- /quintagroup.captcha.core/trunk/quintagroup/captcha/core/profiles/default/quintagroup.captcha.core_various.txt	(revision 1953)
+++ /quintagroup.captcha.core/trunk/quintagroup/captcha/core/profiles/default/quintagroup.captcha.core_various.txt	(revision 1953)
@@ -0,0 +1,1 @@
+This file is used as a marker in setuphandlers.py.
Index: intagroup.captcha.core/trunk/quintagroup/captcha/core/profiles/default/quintagroup.plonecaptchas_various.txt
===================================================================
--- /quintagroup.captcha.core/trunk/quintagroup/captcha/core/profiles/default/quintagroup.plonecaptchas_various.txt	(revision 1952)
+++ 	(revision )
@@ -1,1 +1,0 @@
-This file is used as a marker in setuphandlers.py.
Index: /quintagroup.captcha.core/trunk/quintagroup/captcha/core/profiles/default/skins.xml
===================================================================
--- /quintagroup.captcha.core/trunk/quintagroup/captcha/core/profiles/default/skins.xml	(revision 1952)
+++ /quintagroup.captcha.core/trunk/quintagroup/captcha/core/profiles/default/skins.xml	(revision 1953)
@@ -4,8 +4,8 @@
   <object name="captchas"
           meta_type="Filesystem Directory View"
-          directory="quintagroup.plonecaptchas:skins/captchas" />
+          directory="quintagroup.captcha.core:skins/captchas" />
   <object name="captcha_core"
           meta_type="Filesystem Directory View"
-          directory="quintagroup.plonecaptchas:skins/captcha_core" />
+          directory="quintagroup.captcha.core:skins/captcha_core" />
 
   <skin-path name="*">
Index: /quintagroup.captcha.core/trunk/quintagroup/captcha/core/profiles/default/toolset.xml
===================================================================
--- /quintagroup.captcha.core/trunk/quintagroup/captcha/core/profiles/default/toolset.xml	(revision 1952)
+++ /quintagroup.captcha.core/trunk/quintagroup/captcha/core/profiles/default/toolset.xml	(revision 1953)
@@ -2,4 +2,4 @@
 <tool-setup>
   <required tool_id="portal_captchas"
-            class="quintagroup.plonecaptchas.CaptchaTool.CaptchaTool"/>
+            class="quintagroup.captcha.core.CaptchaTool.CaptchaTool"/>
 </tool-setup>
Index: /quintagroup.captcha.core/trunk/quintagroup/captcha/core/setuphandlers.py
===================================================================
--- /quintagroup.captcha.core/trunk/quintagroup/captcha/core/setuphandlers.py	(revision 1952)
+++ /quintagroup.captcha.core/trunk/quintagroup/captcha/core/setuphandlers.py	(revision 1953)
@@ -13,5 +13,5 @@
 
 def setupVarious(context):
-    if context.readDataFile('quintagroup.plonecaptchas_various.txt') is None:
+    if context.readDataFile('quintagroup.captcha.core_various.txt') is None:
         return
 