Index: quintagroup.pfg.captcha/trunk/quintagroup/pfg/captcha/profiles/default/factorytool.xml
===================================================================
--- quintagroup.pfg.captcha/trunk/quintagroup/pfg/captcha/profiles/default/factorytool.xml	(revision 1970)
+++ quintagroup.pfg.captcha/trunk/quintagroup/pfg/captcha/profiles/default/factorytool.xml	(revision 1970)
@@ -0,0 +1,6 @@
+<?xml version="1.0"?>
+<object name="portal_factory" meta_type="Plone Factory Tool">
+ <factorytypes>
+  <type portal_type="CaptchaField"/>
+ </factorytypes>
+</object>
Index: quintagroup.pfg.captcha/trunk/quintagroup/pfg/captcha/profiles/default/propertiestool.xml
===================================================================
--- quintagroup.pfg.captcha/trunk/quintagroup/pfg/captcha/profiles/default/propertiestool.xml	(revision 1970)
+++ quintagroup.pfg.captcha/trunk/quintagroup/pfg/captcha/profiles/default/propertiestool.xml	(revision 1970)
@@ -0,0 +1,8 @@
+<?xml version="1.0"?>
+<object name="portal_properties" meta_type="Plone Properties Tool">
+ <object name="navtree_properties" meta_type="Plone Property Sheet">
+  <property name="metaTypesNotToList" type="lines" purge="False">
+   <element value="CaptchaField"/>
+  </property>
+ </object>
+</object>
Index: quintagroup.pfg.captcha/trunk/quintagroup/pfg/captcha/profiles/default/skins.xml
===================================================================
--- quintagroup.pfg.captcha/trunk/quintagroup/pfg/captcha/profiles/default/skins.xml	(revision 1970)
+++ quintagroup.pfg.captcha/trunk/quintagroup/pfg/captcha/profiles/default/skins.xml	(revision 1970)
@@ -0,0 +1,8 @@
+<?xml version="1.0"?>
+<object name="portal_skins" meta_type="Plone Skins Tool">
+    <object name="qplonecaptchafield" meta_type="Filesystem Directory View"
+            directory="qPloneCaptchaField/skins/qplonecaptchafield"/>
+    <skin-path name="*">
+        <layer name="qplonecaptchafield" insert-after="custom" />
+    </skin-path>
+</object>
Index: quintagroup.pfg.captcha/trunk/quintagroup/pfg/captcha/profiles/default/types.xml
===================================================================
--- quintagroup.pfg.captcha/trunk/quintagroup/pfg/captcha/profiles/default/types.xml	(revision 1970)
+++ quintagroup.pfg.captcha/trunk/quintagroup/pfg/captcha/profiles/default/types.xml	(revision 1970)
@@ -0,0 +1,5 @@
+<?xml version="1.0"?>
+<object name="portal_types" meta_type="Plone Types Tool">
+    <object name="CaptchaField"
+          meta_type="Factory-based Type Information with dynamic views" />
+</object>
Index: quintagroup.pfg.captcha/trunk/quintagroup/pfg/captcha/profiles/default/types/CaptchaField.xml
===================================================================
--- quintagroup.pfg.captcha/trunk/quintagroup/pfg/captcha/profiles/default/types/CaptchaField.xml	(revision 1970)
+++ quintagroup.pfg.captcha/trunk/quintagroup/pfg/captcha/profiles/default/types/CaptchaField.xml	(revision 1970)
@@ -0,0 +1,36 @@
+<?xml version="1.0"?>
+<object name="CaptchaField"
+        meta_type="Factory-based Type Information with dynamic views"
+        xmlns:i18n="http://xml.zope.org/namespaces/i18n">
+    <property name="title">Captcha Field</property>
+    <property
+             name="description">Extension for PloneFormGen. Field that prevents automatic page submit.</property>
+    <property name="content_icon">captcha_field.gif</property>
+    <property name="content_meta_type">CaptchaField</property>
+    <property name="product">qPloneCaptchaField</property>
+    <property name="factory">addCaptchaField</property>
+    <property name="immediate_view">base_view</property>
+    <property name="global_allow">False</property>
+    <property name="filter_content_types">True</property>
+    <property name="allowed_content_types"/>
+    <property name="allow_discussion">False</property>
+    <property name="default_view">base_view</property>
+    <property name="view_methods">
+        <element value="base_view"/>
+    </property>
+    <property name="default_view_fallback">False</property>
+    <alias from="(Default)" to="(dynamic view)"/>
+    <alias from="edit" to="atct_edit"/>
+    <alias from="index.html" to="(dynamic view)"/>
+    <alias from="properties" to="base_metadata"/>
+    <alias from="sharing" to="folder_localrole_form"/>
+    <alias from="view" to="(selected layout)"/>
+    <action title="View" action_id="view" category="object" condition_expr=""
+            url_expr="string:${object_url}" visible="True">
+        <permission value="View"/>
+    </action>
+    <action title="Edit" action_id="edit" category="object" condition_expr=""
+            url_expr="string:${object_url}/edit" visible="True">
+        <permission value="Modify portal content"/>
+    </action>
+</object>
Index: quintagroup.pfg.captcha/trunk/quintagroup/pfg/captcha/profiles/default/types/FormFolder.xml
===================================================================
--- quintagroup.pfg.captcha/trunk/quintagroup/pfg/captcha/profiles/default/types/FormFolder.xml	(revision 1970)
+++ quintagroup.pfg.captcha/trunk/quintagroup/pfg/captcha/profiles/default/types/FormFolder.xml	(revision 1970)
@@ -0,0 +1,28 @@
+<?xml version="1.0"?>
+<object name="FormFolder" meta_type="Factory-based Type Information"
+        xmlns:i18n="http://xml.zope.org/namespaces/i18n">
+    <property name="allowed_content_types">
+        <element value="Document" />
+        <element value="FieldsetFolder" />
+        <element value="FormBooleanField" />
+        <element value="FormCustomScriptAdapter" />
+        <element value="FormDateField" />
+        <element value="FormFileField" />
+        <element value="FormFixedPointField" />
+        <element value="FormIntegerField" />
+        <element value="FormLabelField" />
+        <element value="FormLinesField" />
+        <element value="FormMailerAdapter" />
+        <element value="FormMultiSelectionField" />
+        <element value="FormPasswordField" />
+        <element value="FormRichLabelField" />
+        <element value="FormRichTextField" />
+        <element value="FormSaveDataAdapter" />
+        <element value="FormSelectionField" />
+        <element value="FormStringField" />
+        <element value="FormTextField" />
+        <element value="FormThanksPage" />
+        <element value="Image" />
+        <element value="CaptchaField" />
+    </property>
+</object>
Index: quintagroup.pfg.captcha/trunk/quintagroup/pfg/captcha/profiles/default/workflows.xml
===================================================================
--- quintagroup.pfg.captcha/trunk/quintagroup/pfg/captcha/profiles/default/workflows.xml	(revision 1970)
+++ quintagroup.pfg.captcha/trunk/quintagroup/pfg/captcha/profiles/default/workflows.xml	(revision 1970)
@@ -0,0 +1,8 @@
+<?xml version="1.0"?>
+<object name="portal_workflow" meta_type="Plone Workflow Tool">
+ <bindings>
+  <type type_id="CaptchaField">
+    <bound-workflow workflow_id=""/>
+  </type>
+ </bindings>
+</object>