Index: quintagroup.seoptimizer/tags/2.3.2/docs/HISTORY.txt
===================================================================
--- quintagroup.seoptimizer/tags/2.3.2/docs/HISTORY.txt	(revision 2028)
+++ quintagroup.seoptimizer/tags/2.3.2/docs/HISTORY.txt	(revision 2029)
@@ -1,8 +1,4 @@
 Changelog
 =========
-
-2.3.3 (2010-03-30)
-
-- fixed content types translation
 
 2.3.1 (2010-02-16)
Index: quintagroup.seoptimizer/tags/2.3.2/quintagroup/seoptimizer/browser/configure.zcml
===================================================================
--- quintagroup.seoptimizer/tags/2.3.2/quintagroup/seoptimizer/browser/configure.zcml	(revision 2028)
+++ quintagroup.seoptimizer/tags/2.3.2/quintagroup/seoptimizer/browser/configure.zcml	(revision 2029)
@@ -59,8 +59,4 @@
         name="seo_custommetatags.js"
         />
-   <browser:resource 
-        file="seo_icon.gif" 
-        name="seo_icon.gif" 
-        />
 
     <!--browser:resource
Index: quintagroup.seoptimizer/tags/2.3.2/quintagroup/seoptimizer/browser/templates/seo_controlpanel.pt
===================================================================
--- quintagroup.seoptimizer/tags/2.3.2/quintagroup/seoptimizer/browser/templates/seo_controlpanel.pt	(revision 2028)
+++ quintagroup.seoptimizer/tags/2.3.2/quintagroup/seoptimizer/browser/templates/seo_controlpanel.pt	(revision 2029)
@@ -167,6 +167,4 @@
                                                       checked python:view.hasSEOAction(type)"/>
                               <label tal:attributes="for python:type.getId()"
-                                     i18n:domain="plone" 
-                                     i18n:translate="" 
                                      tal:content="type/Title"/>
                           </tal:type>
Index: quintagroup.seoptimizer/tags/2.3.2/quintagroup/seoptimizer/profiles/default/types/Document.xml
===================================================================
--- quintagroup.seoptimizer/tags/2.3.2/quintagroup/seoptimizer/profiles/default/types/Document.xml	(revision 2028)
+++ quintagroup.seoptimizer/tags/2.3.2/quintagroup/seoptimizer/profiles/default/types/Document.xml	(revision 2029)
@@ -4,5 +4,5 @@
  <action title="SEO Properties" action_id="seo_properties" category="object" condition_expr="python:exists('portal/@@seo-context-properties')"
     url_expr="string:${object_url}/@@seo-context-properties" visible="True"
-    i18n:attributes="title">
+    i18n:attributes="">
   <permission value="Modify portal content"/>
  </action>
Index: quintagroup.seoptimizer/tags/2.3.2/quintagroup/seoptimizer/profiles/default/types/File.xml
===================================================================
--- quintagroup.seoptimizer/tags/2.3.2/quintagroup/seoptimizer/profiles/default/types/File.xml	(revision 2028)
+++ quintagroup.seoptimizer/tags/2.3.2/quintagroup/seoptimizer/profiles/default/types/File.xml	(revision 2029)
@@ -4,5 +4,5 @@
  <action title="SEO Properties" action_id="seo_properties" category="object" condition_expr="python:exists('portal/@@seo-context-properties')"
     url_expr="string:${object_url}/@@seo-context-properties" visible="True"
-    i18n:attributes="title">
+    i18n:attributes="">
   <permission value="Modify portal content"/>
  </action>
Index: quintagroup.seoptimizer/tags/2.3.2/quintagroup/seoptimizer/profiles/default/types/News_Item.xml
===================================================================
--- quintagroup.seoptimizer/tags/2.3.2/quintagroup/seoptimizer/profiles/default/types/News_Item.xml	(revision 2028)
+++ quintagroup.seoptimizer/tags/2.3.2/quintagroup/seoptimizer/profiles/default/types/News_Item.xml	(revision 2029)
@@ -4,5 +4,5 @@
  <action title="SEO Properties" action_id="seo_properties" category="object" condition_expr="python:exists('portal/@@seo-context-properties')"
     url_expr="string:${object_url}/@@seo-context-properties" visible="True"
-    i18n:attributes="title">
+    i18n:attributes="">
   <permission value="Modify portal content"/>
  </action>
Index: quintagroup.seoptimizer/tags/2.3.2/setup.py
===================================================================
--- quintagroup.seoptimizer/tags/2.3.2/setup.py	(revision 2028)
+++ quintagroup.seoptimizer/tags/2.3.2/setup.py	(revision 2029)
@@ -7,5 +7,5 @@
 
 
-version = '2.3.3'
+version = '2.3.2'
 
 setup(name='quintagroup.seoptimizer',