Index: quintagroup.plonecomments/branches/jquery/quintagroup/plonecomments/skins/quintagroup_plonecomments/discussion_edit_form.cpt
===================================================================
--- quintagroup.plonecomments/branches/jquery/quintagroup/plonecomments/skins/quintagroup_plonecomments/discussion_edit_form.cpt	(revision 2079)
+++ quintagroup.plonecomments/branches/jquery/quintagroup/plonecomments/skins/quintagroup_plonecomments/discussion_edit_form.cpt	(revision 2087)
@@ -34,6 +34,8 @@
         <fieldset>
 
-            <legend i18n:translate="legend_edit_comment">Edit comment</legend>
-            <p i18n:translate="description_edit_comment">
+            <legend i18n:domain="quintagroup.plonecomments"
+                    i18n:translate="legend_edit_comment">Edit comment</legend>
+            <p i18n:domain="quintagroup.plonecomments"
+               i18n:translate="description_edit_comment">
                 You can edit a comment by filling out the form below. Plain text
                 formatting.
Index: quintagroup.plonecomments/branches/jquery/quintagroup/plonecomments/skins/quintagroup_plonecomments/discussion_reply_form.cpt
===================================================================
--- quintagroup.plonecomments/branches/jquery/quintagroup/plonecomments/skins/quintagroup_plonecomments/discussion_reply_form.cpt	(revision 2079)
+++ quintagroup.plonecomments/branches/jquery/quintagroup/plonecomments/skins/quintagroup_plonecomments/discussion_reply_form.cpt	(revision 2087)
@@ -252,4 +252,9 @@
                        i18n:attributes="value label_save;"
                        tal:attributes="name string:discussion_reply:method;" />
+                <input class="standalone"
+                       type="submit"
+                       value="Cancel"
+                       name="form.button.Cancel"
+                       i18n:attributes="value label_cancel;" />
 
             </div>
Index: quintagroup.plonecomments/branches/jquery/quintagroup/plonecomments/skins/quintagroup_plonecomments/discussion_reply_form.cpt.metadata
===================================================================
--- quintagroup.plonecomments/branches/jquery/quintagroup/plonecomments/skins/quintagroup_plonecomments/discussion_reply_form.cpt.metadata	(revision 2079)
+++ quintagroup.plonecomments/branches/jquery/quintagroup/plonecomments/skins/quintagroup_plonecomments/discussion_reply_form.cpt.metadata	(revision 2087)
@@ -4,6 +4,8 @@
 [validators]
 validators = validate_talkback
+validators..Cancel=
 
 [actions]
-action.success = traverse_to:string:discussion_reply
+action.success = redirect_to:string:view
+action.success..Save = traverse_to:string:discussion_reply
 action.failure = traverse_to:string:discussion_reply_form
Index: quintagroup.plonecomments/branches/jquery/quintagroup/plonecomments/skins/quintagroup_plonecomments/qcomments.js
===================================================================
--- quintagroup.plonecomments/branches/jquery/quintagroup/plonecomments/skins/quintagroup_plonecomments/qcomments.js	(revision 2079)
+++ quintagroup.plonecomments/branches/jquery/quintagroup/plonecomments/skins/quintagroup_plonecomments/qcomments.js	(revision 2087)
@@ -1,34 +1,53 @@
-function render_abuse_report_form(comment_id) {
-    jq('form.report_abuse').bind("submit", function(event){
+function render_edit_form(comment_id, form_name) {
+    var cholder = jq("#"+comment_id).parent();
+    var cform = jq("form[name='"+form_name+"']",cholder);
+    var url = jq(cform).attr("action");
+    var cspan = jq("#span-forms-holder-"+comment_id);
+    cspan.hide().empty()
+    jq(cform).bind("submit", function(event){
         event.preventDefault();
     });
-    var render_button = 'input#input-render-abuse-cancel-' + comment_id;
-    jq(render_button).attr('disabled', 'disabled');
-    var form = 'span#span-reply-form-' + comment_id;
-    jq(form).slideToggle(500);
-    var holder = 'span#span-reply-form-holder-' + comment_id;
-    var cancel_button = holder + ' input#input-report-abuse-cancel';
-    var qq = jq(cancel_button);
-    jq(cancel_button).attr('comment_id', comment_id);
+    jq.get(url,
+    function(data){
+        jq("input", cform).attr("disabled", "disabled");
+        ddt = jq("form[name='edit_form']", data)[0];
+        cspan.append(ddt).slideToggle(1000);
+        jq("input[name='form.button.Cancel']",cspan).attr("onclick", "javascript:remove_edit_form("+comment_id+",'"+form_name+"')");
+    });
 }
 
-function remove_abuse_report_form(comment_id, html) {
-    jq('form.report_abuse').bind("submit", function(event){
+function remove_edit_form(comment_id, form_name) {
+    var cholder = jq("#"+comment_id).parent();
+    var cform = jq(cholder).find("form[name='"+form_name+"']");
+    var cspan = jq("#span-forms-holder-"+comment_id);
+    jq("form",cspan).bind("submit", function(event){
         event.preventDefault();
     });
-    var form = 'span#span-reply-form-' + comment_id;
-    jq(form).fadeOut();
-    var render_button = 'input#input-render-abuse-cancel-' + comment_id;
-    jq(render_button).attr('disabled', '');
-    if (html != undefined) {
-        var holder = 'span#span-abuse-count-holder-' + comment_id;
-        jq(holder).append(html);
-    }
+    jq("input", cform).attr("disabled", '');
+    cspan.fadeOut();
 }
 
-kukit.actionsGlobalRegistry.register("remove_abuse_report_form", function(oper) {
-    var comment_id = oper.parms.comment_id;
-    var html = oper.parms.html
-    remove_abuse_report_form(comment_id, html);
-});
-kukit.commandsGlobalRegistry.registerFromAction('remove_abuse_report_form', kukit.cr.makeSelectorCommand);
+function render_delete_comment(comment_id) {
+    var cholder = jq("#"+comment_id).parent();
+    var cform = jq("form[name='delete']",cholder);
+    var url = jq(cform).attr("action");
+    jq(cform).bind("submit", function(event){
+        event.preventDefault();
+    });
+    jq(cholder).detach()
+    jq.post(url);
+}
+
+function render_comment_form() {
+    var cform = jq("form#reply");
+    var url = jq(cform).attr("action");
+    jq(cform).bind("submit", function(event){
+        event.preventDefault();
+    });
+    jq.get(url,
+    function(data){
+        ddt = jq("form[name='edit_form']", data)[0];
+        jq(cform).replaceWith(ddt);
+    });
+}
+
Index: quintagroup.plonecomments/branches/jquery/quintagroup/plonecomments/skins/quintagroup_plonecomments/report_abuse_form.cpt
===================================================================
--- quintagroup.plonecomments/branches/jquery/quintagroup/plonecomments/skins/quintagroup_plonecomments/report_abuse_form.cpt	(revision 2079)
+++ quintagroup.plonecomments/branches/jquery/quintagroup/plonecomments/skins/quintagroup_plonecomments/report_abuse_form.cpt	(revision 2087)
@@ -21,5 +21,5 @@
                         Iterator python:modules['Products.CMFPlone'].IndexIterator;
                         tabindex python:Iterator(mainSlot=False);
-                        isAnon context/@@plone_portal_state/anonymous;
+                        isAnon context/@@plone_portal_state/anonymous|string:False;
                         member context/@@plone_portal_state/member;
                         thread python:putils.getDiscussionThread(here);
@@ -80,9 +80,9 @@
                                 comment_id context/id">
                     <metal:macro define-macro="form"
-                            tal:define="isAjaxReportAbuseEnabled view/ajax_report_abuse_enabled|python:portal.portal_properties.qPloneComments.enable_ajax_report_abuse;
+                            tal:define="isAjaxReportAbuseEnabled view/ajax_report_abuse_enabled|python:here.portal_properties.qPloneComments.enable_ajax_report_abuse;
                                         visible show_form|request/show_form|nothing;
                                         portal_url portal_url|view/portal_url;
-                                        tabindex tabindex|request/tabindex|view/tabindex;
-                                        member member|request/member|view/member;">
+                                        isAnon isAnon|context/@@plone_portal_state/anonymous;
+                                        member member|context/@@plone_portal_state/member;">
 
                         <span tal:define="email_from_address portal/email_from_address|view/email_from_address;
@@ -198,6 +198,7 @@
                                                 value="Send"
                                                 type="submit"
-                                                tal:attributes="comment_id comment_id;
-                                                                class python:isAjaxReportAbuseEnabled  and 'context input-report-abuse-send' or 'context'"
+                                                class="context"
+                                                name="form.button.Send"
+                                                tal:attributes="comment_id comment_id"
                                                 i18n:attributes="value label_send;"
                                                 />
@@ -207,7 +208,6 @@
                                                 class="destructive"
                                                 value="Cancel"
-                                                type="button"
-                                                tal:condition="isAjaxReportAbuseEnabled"
-                                                tal:attributes="onclick string:javascript:remove_abuse_report_form(${comment_id})"
+                                                type="submit"
+                                                name="form.button.Cancel"
                                                 i18n:attributes="value label_cancel;"
                                                 />
Index: quintagroup.plonecomments/branches/jquery/quintagroup/plonecomments/skins/quintagroup_plonecomments/report_abuse_form.cpt.metadata
===================================================================
--- quintagroup.plonecomments/branches/jquery/quintagroup/plonecomments/skins/quintagroup_plonecomments/report_abuse_form.cpt.metadata	(revision 2079)
+++ quintagroup.plonecomments/branches/jquery/quintagroup/plonecomments/skins/quintagroup_plonecomments/report_abuse_form.cpt.metadata	(revision 2087)
@@ -4,6 +4,8 @@
 [validators]
 validators = validate_report_abuse
+validators..Cancel=
 
 [actions]
-action.success = traverse_to:string:report_abuse
+action.success = redirect_to:string:view
+action.success..Send = traverse_to:string:report_abuse
 action.failure = traverse_to:string:report_abuse_form